Bug 367661 - Getting Cpu stuck messages on boot up
Getting Cpu stuck messages on boot up
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Peters
Martin Jenner
Depends On:
Blocks: 461304
  Show dependency treegraph
Reported: 2007-11-05 17:43 EST by IBM Bug Proxy
Modified: 2012-04-05 04:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 15:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Revert hunk of linux-2.6.9-ppc64-rpacc.patch to use (correct) logical CPU ID (1.15 KB, patch)
2007-11-05 17:45 EST, IBM Bug Proxy
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 40080 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-11-05 17:43:15 EST
Description of problem:
When booting a RHEL 4 kernel on a Power lpar can get the message cpu x stuck.

Version-Release number of selected component (if applicable):
Linux willow.rchland.ibm.com 2.6.9-55.EL #1 SMP Fri Apr 20 16:33:09 EDT 2007
ppc64 ppc64 ppc64 GNU/Linux

How reproducible:

Steps to Reproduce:
1.  boot the first partition make sure it is up and running
2.  then boot the default rhel4 kernel on the second partition
3.  Once the second partition is up use 'dmesg' to see the cpu stuck message

Actual results:

Expected results:

Additional info:
Bug does not exist in upstream kernels.

Bug was introduced in the 2.6.9-40 RPM (rhel4.4 beta kernel)
Comment 1 IBM Bug Proxy 2007-11-05 17:45:52 EST
Created attachment 248661 [details]
Revert hunk of	linux-2.6.9-ppc64-rpacc.patch to use (correct) logical CPU ID

pseries_secondary_smp_init() expects to recieve logical CPUIDs, this patch
part of linux-2.6.9-ppc64-rpacc.patch mistakenly passes the hardware IDS.
Revert that hunk to put things right.

Without this patch machines where phys_id != logical_id will (at best) fail to
bring up all CPUS

This patch applies on top of CPU spinup debug/fixup patch.

Tested on a POWER4+ machine with 2 LPARS, LPAR1 has cpus 0-17, LPAR2 has cpus
18,19.	Both LAPRS boot with all CPUS with patch.  Without LPAR2 only ens up
with one functional CPU.

This is RH Issue 136494
Comment 2 Brad Peters 2008-02-28 11:21:06 EST
After a quick look at the current 2.6.18 git tree, it does not appear this patch
is currently upstream:

A) Has it been posted for upstream inclusion (please provide lkml link or commit
# if indeed it is)

B) Should it be?
Comment 3 RHEL Product and Program Management 2008-03-04 10:52:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 RHEL Product and Program Management 2008-09-03 09:15:15 EDT
Updating PM score.
Comment 8 Vivek Goyal 2008-09-03 12:19:21 EDT
Committed in 78.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Chris Ward 2009-03-27 10:18:47 EDT
~~ Attention Partners! Snap 1 Released ~~
RHEL 4.8 Snapshot 1 has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. NOTE: there is only a short time
left to test, please test and report back results on this bug
at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 11 Stephanie Glass 2009-03-27 11:01:14 EDT
This has been verified by IBM.  For some reason the comments on our side did not mirror over to here.
Comment 13 errata-xmlrpc 2009-05-18 15:27:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.